Latest eruby


(HAL 9000) #1

Having problems building eruby (see below).

This is SunOS 5.7, gcc 2.95.2, Ruby 1.6.1
(yes, I know my Ruby is old).

What should I do?

Thanks,
Hal Fulton

eruby_main.c: In function run': eruby_main.c:533: warning: implicit declaration of functionruby_finalize’
gcc eruby_logo.o eruby_main.o liberuby.a
/opt/home2/hypermetrics/ruby-1.6.1/li
bruby.a -ldl -lcrypt -lm -o eruby
Undefined first referenced
symbol in file
ruby_finalize eruby_main.o
ld: fatal: Symbol referencing errors. No output written to eruby
collect2: ld returned 1 exit status
make: *** [eruby] Error 1


(Nobuyoshi Nakada) #2

Hi,

···

At Tue, 18 Jun 2002 12:47:38 +0900, Hal E. Fulton hal9000@hypermetrics.com wrote:

This is SunOS 5.7, gcc 2.95.2, Ruby 1.6.1
(yes, I know my Ruby is old).

Update ruby 1.6.2 or later.


Nobu Nakada


(HAL 9000) #3

Thank you…

Hal Fulton

···

----- Original Message -----
From: nobu.nokada@softhome.net
To: “ruby-talk ML” ruby-talk@ruby-lang.org
Sent: Monday, June 17, 2002 11:10 PM
Subject: Re: Latest eruby…

Hi,

At Tue, 18 Jun 2002 12:47:38 +0900, > Hal E. Fulton hal9000@hypermetrics.com wrote:

This is SunOS 5.7, gcc 2.95.2, Ruby 1.6.1
(yes, I know my Ruby is old).

Update ruby 1.6.2 or later.


Nobu Nakada